ReferenceAPI

Revoke a pending invitation

Revoke a pending invitation so it can no longer be accepted.

DELETE https://api.nevia.cloud/v1/workspaces/{ws}/invitations/{inv}
curl -X DELETE "https://api.nevia.cloud/v1/workspaces/01d4cnjjq40hnnh0nwmkg35nv2h/invitations/01d4cnjn1xy3n9dcwtjnxbxhf15" \
  -H "Authorization: Bearer $TOKEN"
{
  "invitation": {
    "id": "01d4cnjn1xy3n9dcwtjnxbxhf15",
    "workspace": "01d4cnjjq40hnnh0nwmkg35nv2h",
    "email": "[email protected]",
    "role": "editor",
    "state": "pending",
    "invited_by": "01d4cnjmn4fbb1r5btxb5mypv62",
    "created_at": "2026-09-10T12:34:56Z",
    "updated_at": "2026-09-10T12:34:56Z",
    "expires_at": "2026-09-10T12:34:56Z",
    "last_sent_at": "2026-10-10T09:20:00Z",
    "email_sent": true,
    "accepted_by": "string",
    "accepted_at": null
  },
  "resent": true,
  "operations": [
    "01d4cnjm89yk0r3xtv80dy0x7by"
  ]
}

Authorization

bearerAuth
Authorization Bearer <token>

Send the token in the Authorization: Bearer <token> header. See Authenticate.

In: header

Path Parameters

ws* string

Workspace id: 27 lowercase letters and digits.

Match ^[A-Za-z0-9_-]{1,64}$
inv* string

Invitation id: 27 lowercase letters and digits.

Match ^[A-Za-z0-9_-]{1,64}$

Header Parameters

Idempotency-Key? string

Optional retry key, kept 24 hours

Length 1 <= length <= 255

Response

application/json

The revoked invitation, with state set to revoked.

Invitation, with resent true when a pending one was refreshed